com.mapinfo.midev.language.filter

## Class IsNullFilter

- java.lang.Object
- - com.mapinfo.midev.language.filter.IsNullFilter

All Implemented Interfaces:
  IFilter

    public final class IsNullFilter
    extends Object
    implements IFilter

Defines a filter that specifies features whose value for the specified attribute (column) is null. Combine this filter with the Logical NOT filter to identify features where the specified attribute is not null.

### Constructor Summary

Constructors
Constructor and Description
`IsNullFilter(String attributeName)` Create a filter that determines if any attributes are null.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttributeName()` Returns the name of the attribute that will be searched.
`boolean` `isSpatial()` Returns `true` if this `IFilter` is a spatial filter.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsNullFilter

    public IsNullFilter(String attributeName)

Create a filter that determines if any attributes are null.

Parameters:
  `attributeName` - Filter this column for null values.

### Method Detail

#### getAttributeName

    public String getAttributeName()

Returns the name of the attribute that will be searched.

Returns:
  the name of the attribute that will be searched.

#### isSpatial

    public boolean isSpatial()

Description copied from interface: `IFilter`
Returns `true` if this `IFilter` is a spatial filter.

Specified by:
  `isSpatial` in interface `IFilter`
Returns:
  `true` if this `IFilter` is a spatial filter.